﻿@import url('rossi.font.css');

/* Toasts */
#toast-container {
    position: fixed;
    inset: auto 20px 20px auto;
    z-index: 999999;
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin: 0;
    padding: 0;
    border: 0;
    background: transparent;
    pointer-events: none;
    overflow: visible;
}

.toast {
    font-family: 'Inter',sans-serif;
    position: relative;
    pointer-events: auto;
    max-width: 280px;
    min-width: 200px;
    width: fit-content;
    padding: 12px 40px 16px 16px;
    border-radius: 3px;
    color: #fff;
    font-size: 14px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    cursor: pointer;
    opacity: 1;
    transition: opacity 0.5s ease;
    word-wrap: break-word;
    white-space: pre-wrap;
}

.toast-progress {
    position: absolute;
    bottom: 0;
    left: 0;
    height: 4px;
    background-color: rgba(0, 0, 0, 0.3);
    animation: progressAnim 5s linear forwards;
}

.toast-close {
    position: absolute;
    top: 6px;
    right: 10px;
    border: none;
    background: transparent;
    color: inherit;
    font-size: 18px;
    font-weight: bold;
    cursor: pointer;
    line-height: 1;
}

.toast.success {
    color: #fff;
    background-color: #339c4b;
}

.toast.error {
    color: #fff;
    background-color: #b42d2d;
}

.toast.warning {
    color: #fff;
    background-color: #a16207;
}

.toast.info {
    color: #fff;
    background-color: #3f4a54;
}

.toast-close:hover {
    color: #000;
    background-color: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
}

@keyframes progressAnim {
    from {
        width: 100%;
    }

    to {
        width: 0%;
    }
}

.toast.fade-out {
    animation: fadeOut 0.5s forwards;
}

@keyframes fadeOut {
    from {
        opacity: 1;
        transform: translateX(0);
    }

    to {
        opacity: 0;
        transform: translateX(100%);
    }
}
